summaryrefslogtreecommitdiff
path: root/t/gnits2.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 15:57:28 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 16:28:16 +0200
commit7721f22a2c0f5b286d04427d011351602341de02 (patch)
treeb55f3e46fa9d8ef16856034337317f6b40e34d20 /t/gnits2.sh
parent8eda774e3d2311513a35c49d7cad5e05c5fd9e03 (diff)
parentb21d68690612214d8edd810acf11880c3c0ad586 (diff)
downloadautomake-7721f22a2c0f5b286d04427d011351602341de02.tar.gz
Merge branch 'master' into ng/master
* master: cosmetics: remove trailing whitespace in some files coverage: enhance tests in 'missing' script a little coverage: tests AM_MISSING_PROG usage docs: document AM_MISSING_PROG tests: fix a spurious failure with Solaris make tests: simpler workaround for shells losing the exit status in exit trap tests: avoid several spurious failures on Solaris tests: avoid a spurious failure on NetBSD + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/gnits2.sh')
-rwxr-xr-xt/gnits2.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/gnits2.sh b/t/gnits2.sh
index e27a87e71..6e4e1a4b3 100755
--- a/t/gnits2.sh
+++ b/t/gnits2.sh
@@ -17,7 +17,7 @@
# Test to ensure std-options checking is correct.
required='cc native'
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_PROG_CC
@@ -98,7 +98,7 @@ $ACLOCAL
$AUTOCONF
$AUTOMAKE -a
-grep README-alpha Makefile.in && Exit 1
+grep README-alpha Makefile.in && exit 1
mkdir build
cd build
@@ -107,7 +107,7 @@ cd build
../configure "--prefix=$(pwd)/../inst-dir" --program-prefix=p
$MAKE all
$MAKE test-install
-$MAKE -k installcheck 2>stderr && { cat stderr >&2; Exit 1; }
+$MAKE -k installcheck 2>stderr && { cat stderr >&2; exit 1; }
cat stderr >&2
$MAKE grep-stderr